#include <stdio.h>
#include<stdlib.h>
using namespace std;
int main(){
    unsigned long long n;
    int s=0,cj;
    
    scanf("%llu",&n); 
    while(n>0){

      cj=n%10;
    
      if(cj==3 || cj==4 || cj==6 || cj==7)s+=2;
      if(cj==1 || cj==2 || cj==5)s+=1;
      if(cj==8 || cj==9)s+=3;
      
      n/=10;

    }
    
    printf("%d",s);
    return 0;
}